
_main:

;Radar.c,25 :: 		void main() {
;Radar.c,26 :: 		TRISB = 0;
	CLRF       TRISB+0
;Radar.c,27 :: 		PORTB = 0;
	CLRF       PORTB+0
;Radar.c,28 :: 		TRISC0_bit = 1;
	BSF        TRISC0_bit+0, 0
;Radar.c,29 :: 		TRISC1_bit = 1;
	BSF        TRISC1_bit+0, 1
;Radar.c,30 :: 		ANSEL = 0;
	CLRF       ANSEL+0
;Radar.c,31 :: 		ANSELH = 0;
	CLRF       ANSELH+0
;Radar.c,32 :: 		Lcd_Init();                     // Initialize LCD
	CALL       _Lcd_Init+0
;Radar.c,33 :: 		Lcd_Cmd(_LCD_CLEAR);            // Clear LCD display
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;Radar.c,34 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);       // Turn cursor off
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;Radar.c,35 :: 		GIE_bit = 0;
	BCF        GIE_bit+0, 7
;Radar.c,40 :: 		while(1) {
L_main0:
;Radar.c,41 :: 		if(Button(&PORTC,0,50,0)) {
	MOVLW      PORTC+0
	MOVWF      FARG_Button_port+0
	CLRF       FARG_Button_pin+0
	MOVLW      50
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main2
;Radar.c,42 :: 		while(1) {
L_main3:
;Radar.c,43 :: 		Delay_us(100);
	MOVLW      66
	MOVWF      R13+0
L_main5:
	DECFSZ     R13+0, 1
	GOTO       L_main5
	NOP
;Radar.c,44 :: 		i++;
	INCF       _i+0, 1
	BTFSC      STATUS+0, 2
	INCF       _i+1, 1
;Radar.c,45 :: 		if(Button(&PORTC,1,50,0)) {
	MOVLW      PORTC+0
	MOVWF      FARG_Button_port+0
	MOVLW      1
	MOVWF      FARG_Button_pin+0
	MOVLW      50
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main6
;Radar.c,46 :: 		i_old=i;
	MOVF       _i+0, 0
	MOVWF      _i_old+0
	MOVF       _i+1, 0
	MOVWF      _i_old+1
;Radar.c,47 :: 		i=0;
	CLRF       _i+0
	CLRF       _i+1
;Radar.c,48 :: 		break;
	GOTO       L_main4
;Radar.c,49 :: 		}
L_main6:
;Radar.c,50 :: 		}
	GOTO       L_main3
L_main4:
;Radar.c,51 :: 		speed = 36000/i_old ;
	MOVF       _i_old+0, 0
	MOVWF      R4+0
	MOVF       _i_old+1, 0
	MOVWF      R4+1
	MOVLW      160
	MOVWF      R0+0
	MOVLW      140
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVF       R0+0, 0
	MOVWF      _speed+0
;Radar.c,52 :: 		}
L_main2:
;Radar.c,53 :: 		ByteToStr(speed,txt);
	MOVF       _speed+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _txt+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;Radar.c,54 :: 		if (speed>=30) {
	MOVLW      30
	SUBWF      _speed+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_main7
;Radar.c,55 :: 		Lcd_Out(1,1,txt);
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _txt+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Radar.c,56 :: 		Lcd_Out(1,5,txt2);
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      5
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _txt2+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Radar.c,57 :: 		Lcd_Out(2,1,txt1); }
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _txt1+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
	GOTO       L_main8
L_main7:
;Radar.c,59 :: 		Lcd_Out(1,1,txt);
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _txt+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Radar.c,60 :: 		Lcd_Out(1,5,txt2);
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      5
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _txt2+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Radar.c,61 :: 		Lcd_Out(2,1,txt0);}
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _txt0+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
L_main8:
;Radar.c,62 :: 		}
	GOTO       L_main0
;Radar.c,63 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
